// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

part of omnibuild;

/// Split [str] into lines and prefixes them with [prefix].
/// Returns all lines joined together using line endings.
String _prefixEachLine(String str, String prefix) {
  if (str.isEmpty) {
    return '';
  }

  // Prefex line-by-line.
  var out = new StringBuffer();
  var lines = LineSplitter.split(str);
  lines.forEach((String line) {
    out.writeln('$prefix$line');
  });

  return out.toString();
}
