// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

library omnibuild.test.test_all;

import 'package:test/test.dart';

import 'e2e_test.dart' as e2e_test;
import 'class_test.dart' as class_test;
import 'parse_test.dart' as parse_test;

void main() {
  group('e2e', e2e_test.main);
  group('class', class_test.main);
  group('parse', parse_test.main);
}
