#!/bin/bash

# Copyright (c) 2016, Herman Bergwerf. All rights reserved.
# Use of this source code is governed by a MIT-style license
# that can be found in the LICENSE file.

# Resolve package version and store in omnibuild bin version variable.
version=$(grep 'version:' pubspec.yaml)
regex="version:\s*(.*)"
if [[ $version =~ $regex ]]
then
  sed -i "s/omnibuildBinaryVersion = '.*'/omnibuildBinaryVersion = '${BASH_REMATCH[1]}'/g" bin/omnibuild.dart
fi

dart bin/omnibuild.dart -o test/data/ test/data/*.yaml
molviewfmt -c 'Herman Bergwerf' -l 'MIT'
make check
